#!/bin/bash

NAME="Nowatel-OpenRDS"
VERSION="(v1.0)"
PRETTY_NAME="Nowatel-OpenRDS(v1.0)"
HOME_URL="https:\/\/www.nowatel.com"

CONFIG_FILE="/etc/os-release"

sed -c -i "s/^\(NAME *= *\).*/\1\"$NAME\"/" $CONFIG_FILE
sed -c -i "s/^\(VERSION *= *\).*/\1\"$VERSION\"/" $CONFIG_FILE
sed -c -i "s/^\(PRETTY_NAME *= *\).*/\1\"$PRETTY_NAME\"/" $CONFIG_FILE
sed -c -i "s/^\(HOME_URL *= *\).*/\1\"$HOME_URL\"/" $CONFIG_FILE

if [ -e /etc/grub2.cfg ]
then
	grub2-mkconfig -o /boot/grub2/grub2.cfg
elif [ -e /etc/grub2-efi.cfg ]
then
	grub2-mkconfig -o /boot/efi/EFI/centos/grub.cfg
fi
